Page MenuHomePhabricator

Browserbased parsing and identification of DICOM files
Closed, ResolvedPublic

Description

Using the framework from {T26185} to parse and identify DICOM files.

Event Timeline

reicht created this task.Apr 30 2019, 1:07 PM
reicht removed a subtask: Restricted Maniphest Task.Apr 30 2019, 1:16 PM
reicht moved this task from RM ToDo to DKFZ ToDo on the CSI-HD board.Apr 30 2019, 1:27 PM
reicht closed this task as Resolved.Aug 17 2019, 10:56 PM
reicht moved this task from DKFZ ToDo to Done on the CSI-HD board.

cannot be accomplished using cornerstone, since errors are thrown if non-dicom filesize is below "proper" DICOM file. Therefore we implemented our own routine to check if incoming filesize is below 132 bits, otherwise check if bits from 128 to 132 represent "DICM".

reicht changed the visibility from "CSI-HD (Project)" to "All Users".Aug 17 2019, 10:56 PM
reicht changed the visibility from "All Users" to "Public (No Login Required)".Aug 17 2019, 11:05 PM
reicht assigned this task to d485r.Aug 20 2019, 10:24 AM